Bug 116318 - kruler should be configurable to be transparent
Summary: kruler should be configurable to be transparent
Status: RESOLVED FIXED
Alias: None
Product: kruler
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Mathias Soeken
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-11-14 06:45 UTC by Mathias Homann
Modified: 2009-01-19 12:43 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mathias Homann 2005-11-14 06:45:01 UTC
Version:           3.4.2 (using KDE 3.4.3 Level "b" , SUSE 9.2 UNSUPPORTED)
Compiler:          gcc version 3.3.4 (pre 3.3.5 20040809)
OS:                Linux (i686) release 2.6.8-24.18-default

kruler would be more useful if you could swith it to transparent.
Comment 1 Mathias Soeken 2008-12-16 12:57:26 UTC
It is possible in KDE 4.x if kwin composite effects are enabled. Just press Alt+F3 and adjust transparency at the Opacity menu item.

But I see that this is no easy way.
Comment 2 Mathias Soeken 2009-01-19 12:43:50 UTC
SVN commit 913428 by msoeken:

kruler is now configurable to be (semi-)transparent. There is a new menu "Opacity" in the context menu 
with a slider to set windowOpacity. This value is stored and restored in the settings file.

BUGS: 116318



 M  +23 -0     klineal.cpp  
 M  +1 -0      klineal.h  
 M  +4 -0      kruler.kcfg  


WebSVN link: http://websvn.kde.org/?view=rev&revision=913428